Bug 1120718 - Migration: Something broken with video
Summary: Migration: Something broken with video
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dr. David Alan Gilbert
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 1118665
TreeView+ depends on / blocked
 
Reported: 2014-07-17 14:43 UTC by Dr. David Alan Gilbert
Modified: 2015-03-05 09:48 UTC (History)
13 users (show)

Fixed In Version: qemu 2.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:48:21 UTC
huding: needinfo-


Attachments (Terms of Use)
screenshot before migration (11.90 KB, image/png)
2014-08-13 07:00 UTC, huiqingding
no flags Details
screenshot after migration (7.89 KB, image/png)
2014-08-13 07:01 UTC, huiqingding
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Description Dr. David Alan Gilbert 2014-07-17 14:43:58 UTC
Description of problem:
2.1 is having some problems with video:
  1) QXL kernel is hanging in migrate (not getting any more qxl interrupts in the guest)
  2) plain 2.1 is seeing other video issues during migrate (X crash?)

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Gerd Hoffmann 2014-07-22 08:46:22 UTC
very likely fixed by http://patchwork.ozlabs.org/patch/372114/

Comment 4 Gerd Hoffmann 2014-07-22 13:49:02 UTC
upstream commit 6886867e9880830d735d8ae6f6cc63ed9eb2be0c

Comment 5 Dr. David Alan Gilbert 2014-07-31 09:58:23 UTC
This is getting me part way; one hop of migration is now looking like it's working but migrating from qemu 2.1.x is failing in the same way.

Comment 6 Dr. David Alan Gilbert 2014-07-31 19:08:04 UTC
Thanks to Jason for suggesting kernel_irqchip=off

-machine pc-i440fx-rhel7.0.0,accel=kvm,usb=off,kernel_irqchip=off 

that's letting me bounce backwards and forwards between the 7.1.x world.

Dave

Comment 7 Dr. David Alan Gilbert 2014-08-04 17:36:04 UTC
the 2.1.0 (i.e. the real one after the rebase from the release, not the -rc's)
seems to work without the kernel_irqchip=off for 7.1<->7.1.
(7.0->7.1 is hitting other issues)

Comment 12 huiqingding 2014-08-13 07:00:50 UTC
Created attachment 926287 [details]
screenshot before migration

Comment 13 huiqingding 2014-08-13 07:01:28 UTC
Created attachment 926288 [details]
screenshot after migration

Comment 23 errata-xmlrpc 2015-03-05 09:48:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.